# Generated from pdf-writer-1.1.8.gem by gem2rpm -*- rpm-spec -*-
%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname pdf-writer
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: A pure Ruby PDF document creation library
Name: rubygem-%{gemname}
Version: 1.1.8
Release: 3%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://rubyforge.org/projects/ruby-pdf
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: ruby(abi) = 1.8
BuildRequires: rubygems
Requires: rubygem(transaction-simple) >= 1.3
Requires: rubygem(color) >= 1.4.0

BuildArch: noarch

Provides: rubygem(%{gemname}) = %{version}

%description
This library provides the ability to create PDF documents using only native Ruby libraries. There are several demo programs available in the demo/ directory. The canonical documentation for PDF::Writer is "manual.pdf", which can be generated using bin/techbook (just "techbook" for RubyGem users) and the manual file "manual.pwd".



%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}

gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)

%{_bindir}/techbook

%{gemdir}/gems/%{gemname}-%{version}/

%doc %{gemdir}/doc/%{gemname}-%{version}


%doc %{geminstdir}/README

%doc %{geminstdir}/ChangeLog

%doc %{geminstdir}/LICENCE

%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Thu Oct 27 2011 Dmitri Dolguikh <dmitri@redhat.com> 1.1.8-3
- added color and transaction-simple dependencies to pdf-writer spec
  (dmitri@redhat.com)

* Thu Oct 06 2011 Dmitri Dolguikh <dmitri@redhat.com> 1.1.8-2
- bumped up the version of pdf-writer spec file (dmitri@redhat.com)

* Thu Oct 06 2011 Dmitri Dolguikh <dmitri@redhat.com> 1.1.8-1
- new package built with tito

* Thu Oct 06 2011  <wb@killing-time.appliedlogic.ca> - 1.1.8-1
- Initial package
